// Copyright 2002 Adam Megacz, see the COPYING file for licensing [GPL] 
package org.xwt;
import java.io.*;

/** Interface implemented by classes capable of decoding an image file into an int[] */
public interface ImageDecoder {
    
    /** returns the width of the image */
    public abstract int getWidth();

    /** returns the height of the image */
    public abstract int getHeight();

    /** returns the data of the image, as an array of 32-bit AARRGGBB samples */
    public abstract int[] getData();

}
